Subject: RE: Cron problems with cygwin...
From: "Kevin Markle" <[email-masked]>
To: <[email-masked]>
Date: Wed, 27 Jul 2005 18:29:38 -0400

Thanks!

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]] 
Sent: Wednesday, July 27, 2005 12:10 AM
To: Kevin Markle
Cc: [email-masked]
Subject: Re: Cron problems with cygwin...

Kevin,

<http://cygwin.com/acronyms/#PPIOSPE>.  Thanks.  I'm redirecting this reply
to the Cygwin mailing list, and setting Reply-To appropriately.

On Tue, 26 Jul 2005, Kevin Markle wrote:

> Hello,
>
> I was looking on the web for my windows 2003 cygwin cron prolems and 
> it appears that you have a way to get this to work. If you can help me 
> out on this I would appreciate it. Do I need to run cron-config before 
> running this command? Are these 2 thing all that I need to do to get 
> cron to work? I have been able to get the service to run but none of 
> the items in the crontab file run?
>
> cygrunsrv -I cron -p /usr/sbin/cron -a -D -u svccron -w <passwd>
>
> Thanks!
> Kevin Markle

I don't have Windows 2003, and I haven't run cron in a while.  However, I do
have some general comments about your problem:

First, please review and follow the Cygwin problem reporting guidelines at
<http://cygwin.com/problems.html>, particularly the part in bold that asks
you to attach the output of "cygcheck -svr" on your system.

Second, I'm not sure which "2 things" you are referring to.  As far as I
recall, cron-config will actually install the cron service for you, so there
is no need for a separate "cygrunsrv -I" command.  That script will even
offer to start the service, so you won't even need a "cygrunsrv -S"
command.

Third, please run the cron_diagnose.sh script and examine the results.
If it's a simple permission issue, that script should catch it.

Lastly, examine the logs (/var/log/cron.log and the Windows Event log) for
any signs of errors.  Also check whether you are properly redirecting the
output in your crontab (if not, cron may be looking for a sendmail program).
HTH,
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

If there's any real truth it's that the entire multidimensional infinity of
the Universe is almost certainly being run by a bunch of maniacs. /DA

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/